org.h2.api

## Interface JavaObjectSerializer

All Known Implementing Classes:
  TestJavaObjectSerializer.DbLevelJavaObjectSerializer, TestUrlJavaObjectSerializer.FakeJavaObjectSerializer

    public interface JavaObjectSerializer

Custom serialization mechanism for java objects being stored in column of type OTHER.

### Method Summary

Methods
`java.lang.Object` `deserialize(byte[] bytes)` Deserialize object from byte array.
`byte[]` `serialize(java.lang.Object obj)` Serialize object to byte array.

### Method Detail

#### serialize

    byte[] serialize(java.lang.Object obj)
                     throws java.lang.Exception

Serialize object to byte array.

Parameters:
  `obj` - the object to serialize
Returns:
  the byte array of the serialized object
Throws:
  `java.lang.Exception`

#### deserialize

    java.lang.Object deserialize(byte[] bytes)
                                 throws java.lang.Exception

Deserialize object from byte array.

Parameters:
  `bytes` - the byte array of the serialized object
Returns:
  the object
Throws:
  `java.lang.Exception`